aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Ogden <bernie.ogden@linaro.org>2016-01-05 08:19:03 +0000
committerBernard Ogden <bernie.ogden@linaro.org>2016-01-05 08:25:18 +0000
commita6a86759fa043300cb4d360e8a1dda1cb82c2bbe (patch)
tree6f5e2b2520fc9d4769bdffc5bf11a4940c453374
parent44430d2654e139c4177bd811faaffb8e178b388d (diff)
tcwg-buildfarm-master-hetzner-bernie: Revert "tcwg-buildfarm-*: Honor $dont_fail flag in trap cleanup"
This reverts commit 4ee1dbb130be2ba8742855d41d61661a79edc201, for tcwg-buildfarm-master-hetzner-bernie.yaml, only. This commit seems to introduce two changes for this file, but that's not why I'm reverting it - this is an experiment to see if the reversion fixes my mysterious job failures. Change-Id: I0d5eed6c8ee6eac77e1442dbe5cc36423a2eb863
-rw-r--r--tcwg-buildfarm-master-hetzner-bernie.yaml7
1 files changed, 2 insertions, 5 deletions
diff --git a/tcwg-buildfarm-master-hetzner-bernie.yaml b/tcwg-buildfarm-master-hetzner-bernie.yaml
index b2937ff..7b9e642 100644
--- a/tcwg-buildfarm-master-hetzner-bernie.yaml
+++ b/tcwg-buildfarm-master-hetzner-bernie.yaml
@@ -158,14 +158,11 @@
BUILD_SHELL="schroot -r -c session:$session_id --preserve-environment -- bash"
$BUILD_SHELL -c "echo \"Build session is up; ulimit config:\"; ulimit -a"
- result="1"
-
# Sometimes /dev/pts can't get unmounted on the first try.
# Workaround by retrying.
- trap "{ schroot -f -e -c session:$session_id || { sleep 60 ; schroot -f -e -c session:$session_id } }; exit \$result" 0 1 2 3 5 9 13 15
+ trap "schroot -f -e -c session:$session_id || sleep 60 || schroot -f -e -c session:$session_id" 0 1 2 3 5 9 13 15
- ${BUILD_SHELL} -x ./jenkins.sh --target ${target} --gcc-branch ${gcc_branch} --languages ${languages} $bootstrap $runtests_opt --excludecheck ${excludecheck} --fileserver ex40-01.tcwglab.linaro.org/snapshots-ref --logserver $log_server $logname_opt $norebuild -o '--tarbin' | true
- result="${PIPESTATUS[0]}"
+ ${BUILD_SHELL} -x ./jenkins.sh --target ${target} --gcc-branch ${gcc_branch} --languages ${languages} $bootstrap $runtests_opt --excludecheck ${excludecheck} --fileserver ex40-01.tcwglab.linaro.org/snapshots-ref --logserver $log_server $logname_opt $norebuild -o '--tarbin' || result="$?"
#Do not trigger a benchmark if jenkins.sh exits without error and
#without having built a toolchain (probably because --norebuild was